Subject: SSHD causes 100% CPU load
From: Christoph Lüders <[email-masked]>
To: [email-masked]
Date: Wed, 28 Apr 2021 09:10:07 +0200
List-Id: General Cygwin discussions and problem reports <cygwin.cygwin.com>

Hi Andrey,

thanks for the link.  Am I mistaken or was there no solution
mentioned?  Do you have any advice how to fix this problem?

Best,
Chris

Wednesday, April 28, 2021, 06:23:02, "Andrey Repin" wrote:

> Greetings, Christoph Lüders!

>> I run cygwin 32-bit on Windows 10 Pro Build 19042.  Cygwin is 3.2.0-1,
>> openssh is 8.5p1-1.

>> I use sshd to access the machine from afar.  I notice (often multiple)
>> processes of sshd.exe with 100% CPU load.

> https://cygwin.com/pipermail/cygwin/2021-April/248299.html
> https://cygwin.com/pipermail/cygwin/2021-April/248309.html

>> A stack shown with procexp has function names like
>> "cygwin1.dll!acl_get_perm" and "cygwin1.dll!_assert".

>> Can anyone give me some advice how to proceed further?  I have updated
>> to the latest cygwin multiple times; reboot doesn't help either.

-- 
* https://cfos.de -- High speed & low ping through traffic shaping
* cFosSpeed 11.10 ==> https://cfos.de/dl
*
* cFos Software GmbH -- Amtsgericht Bonn, HRB 9150
* Geschäftsführer: Christoph Lüders, Martin Winkler

-- 
Problem reports:      https://cygwin.com/problems.html
FAQ:                  https://cygwin.com/faq/
Documentation:        https://cygwin.com/docs.html
Unsubscribe info:     https://cygwin.com/ml/#unsubscribe-simple